#include <stdio.h>

int main() {
    int a, b;
    double result;
    
    // 输入a和b的值
    scanf("%d %d", &a, &b);
    
    // 计算x^3 + y^3的值
    result = (double)a * (3.0 * b - (double)a * (double)a) / 2.0;
    
    // 输出结果
    printf("%.0f\n", result);
    
    return 0;
}
